Name:    juk
Summary: Music player
Version: 23.08.4
Release:    1%{?dist}

License: (GPLv2 or GPLv3) and GFDL
URL:     https://cgit.kde.org/%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz



BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5Completion)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5GlobalAccel)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5JobWidgets)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5TextWidgets)
BuildRequires: cmake(KF5XmlGui)
BuildRequires: cmake(KF5Wallet)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: cmake(KF5WindowSystem)

BuildRequires: cmake(Qt5Gui)
BuildRequires: cmake(Qt5Svg)
BuildRequires: cmake(Qt5Network)
BuildRequires: cmake(Qt5Test)
BuildRequires: cmake(Qt5Widgets)

BuildRequires: cmake(Phonon4Qt5)
BuildRequires: pkgconfig(taglib)

Provides:  kdemultimedia-juk = 6:%{version}-%{release}

Conflicts: kde-l10n < 17.08.3-2


%description
Juk is a jukebox, tagger and music collection manager.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.juk.appdata.xml ||:
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.juk.desktop

%files -f %{name}.lang
%license COPYING*
%{_datadir}/dbus-1/interfaces/org.kde.juk.*.xml
%{_kf5_bindir}/juk
%{_kf5_datadir}/applications/org.kde.juk.desktop
%{_kf5_datadir}/icons/hicolor/*/apps/juk.*
%{_kf5_datadir}/juk/
%{_kf5_datadir}/kio/servicemenus/jukservicemenu.desktop
%{_kf5_datadir}/knotifications5/juk.*
%{_kf5_datadir}/kxmlgui5/juk/
%{_kf5_metainfodir}/org.kde.juk.appdata.xml


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
